Bug 1624401 - Discovery templates are not assigned to default org
Summary: Discovery templates are not assigned to default org
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Discovery Plugin
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Lukas Zapletal
QA Contact: Jameer Pathan
URL: https://projects.theforeman.org/issue...
Whiteboard:
: 1666163 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-31 13:14 UTC by Lukas Zapletal
Modified: 2019-10-07 17:19 UTC (History)
6 users (show)

Fixed In Version: tfm-rubygem-foreman_discovery-14.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:03 UTC
Foreman Issue Tracker 24776 None None None 2018-08-31 14:01:29 UTC

Description Lukas Zapletal 2018-08-31 13:14:09 UTC
After installation only discovery templates are not assigned to any org. They are also unlocked by default. Let's lock them for changes and assign to all taxonomies.

Comment 4 pm-sat@redhat.com 2018-09-05 16:06:01 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24776 has been resolved.

Comment 5 Jameer Pathan 2018-11-12 08:43:45 UTC
verified:

@satellite 6.5.0 snap 3

steps:

hammer> template info --id 110
Id:                    110
Name:                  Discovery Red Hat kexec
Type:                  kexec
Locked:                yes
Operating systems:     
    RedHat 7.6
Locations:             
    Default Location
Organizations:         
    Default Organization
Template Combinations:

hammer> template info --id 111
Id:                    111
Name:                  Discovery Debian kexec
Type:                  kexec
Locked:                yes
Operating systems:     

Locations:             
    Default Location
Organizations:         
    Default Organization
Template Combinations:

observation:

Discovery templates are assigned to default org, loc and they are locked by default.

Comment 7 Lukas Zapletal 2019-01-17 12:24:51 UTC
*** Bug 1666163 has been marked as a duplicate of this bug. ***

Comment 10 errata-xmlrpc 2019-05-14 12:37:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.